Skip to main content
PUT
/
v0
/
alerts
/
{alertId}
Update alert
curl --request PUT \
  --url https://api.formo.so/v0/alerts/{alertId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Mobile swap alert (updated)",
  "trigger_type": "event",
  "trigger_filters": [
    {
      "name": "type",
      "value": "swap"
    },
    {
      "name": "device",
      "value": "mobile"
    }
  ],
  "recipient": [
    {
      "type": "webhook",
      "value": [
        "https://hooks.myapp.com/v2/alerts"
      ]
    },
    {
      "type": "slack",
      "value": [
        "#alerts|https://hooks.slack.com/services/T00/B00/new"
      ]
    }
  ]
}
'
import requests

url = "https://api.formo.so/v0/alerts/{alertId}"

payload = {
"name": "Mobile swap alert (updated)",
"trigger_type": "event",
"trigger_filters": [
{
"name": "type",
"value": "swap"
},
{
"name": "device",
"value": "mobile"
}
],
"recipient": [
{
"type": "webhook",
"value": ["https://hooks.myapp.com/v2/alerts"]
},
{
"type": "slack",
"value": ["#alerts|https://hooks.slack.com/services/T00/B00/new"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Mobile swap alert (updated)',
trigger_type: 'event',
trigger_filters: [{name: 'type', value: 'swap'}, {name: 'device', value: 'mobile'}],
recipient: [
{type: 'webhook', value: ['https://hooks.myapp.com/v2/alerts']},
{type: 'slack', value: ['#alerts|https://hooks.slack.com/services/T00/B00/new']}
]
})
};

fetch('https://api.formo.so/v0/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "project_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "trigger_filters": [
    {
      "name": "<string>",
      "value": "<string>",
      "operator": "<string>",
      "numericThreshold": "<string>"
    }
  ],
  "recipient": [
    {
      "value": [
        "<string>"
      ]
    }
  ],
  "has_secret": true
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

alertId
string
required

Body

application/json
name
string
required
Minimum string length: 1
trigger_type
enum<string>
required
Available options:
event,
user
trigger_filters
object[]
required
recipient
object[]
secret
string

Response

200 - application/json

Alert updated

id
string
required
name
string
required
trigger_type
enum<string>
required
Available options:
event,
user
status
enum<string>
required
Available options:
active,
inactive
project_id
string
required
created_at
string<date-time>
updated_at
string<date-time> | null
trigger_filters
object[]
recipient
object[]
has_secret
boolean